// DemoDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Demo.h"
#include "DemoDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDemoDlg dialog

CDemoDlg::CDemoDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CDemoDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDemoDlg)
	m_intputStr = _T("");
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);

	m_colorEditText = RGB(0,0,255);
	 m_colorEditBK = RGB(0,0,0);
	 m_pEditBkBrush = new CBrush(RGB(0,0,0));

}

void CDemoDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDemoDlg)
	DDX_Control(pDX, IDC_EDIT3, m_edit);
	DDX_Control(pDX, IDC_COMBO_ALIGMENT, m_ctrlAligment);
	DDX_Control(pDX, IDC_FRAME_WIN, m_frmWin);
	DDX_Control(pDX, IDC_FRAME_NORMAL, m_frmNormal);
	DDX_Text(pDX, IDC_EDIT1, m_intputStr);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CDemoDlg, CDialog)
	//{{AFX_MSG_MAP(CDemoDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_CBN_SELCHANGE(IDC_COMBO_ALIGMENT, OnSelchangeComboAligment)
	ON_WM_DESTROY()
	ON_WM_CTLCOLOR()
	ON_BN_CLICKED(IDC_BUTTON1, OnButton1)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDemoDlg message handlers

BOOL CDemoDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
//	m_frmWin.SetXPGroupStyle(CXPGroupBox::XPGB_WINDOW)
//			.SetBackgroundColor(RGB(201, 201, 151), RGB(255, 255, 204))
//			.SetFontBold(TRUE); 

		m_frmWin.SetXPGroupStyle(CXPGroupBox::XPGB_WINDOW)
			.SetBackgroundColor(RGB(255, 0, 0), RGB(0, 0, 0))
			.SetCatptionTextColor(RGB(0,255,0))
			.SetFontSize(20)
			.SetFontBold(TRUE); 

//	m_frmNormal.SetCatptionTextColor(RGB(16,140,231))
//			   .SetFontBold(TRUE); 

	m_frmNormal.SetCatptionTextColor(RGB(255,0,0))
			   .SetFontBold(TRUE); 


	//趨Edit
	CEdit*pEdt=(CEdit*)GetDlgItem(IDC_EDIT3);
	font.CreatePointFont(150,"Arial");
	pEdt->SetFont(&font);

	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CDemoDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CDemoDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CDemoDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CDemoDlg::OnSelchangeComboAligment() 
{
	// TODO: Add your control notification handler code here
	int nSelIndex = m_ctrlAligment.GetCurSel();
	
	if( nSelIndex == LB_ERR) return;

	switch(nSelIndex)  {
	case 0: //SS_lEFT
		m_frmNormal.SetAlignment(SS_LEFT);
		m_frmWin.SetAlignment(SS_LEFT);  
		break;
	case 1: //SS_CENTER
		m_frmNormal.SetAlignment(SS_CENTER);
		m_frmWin.SetAlignment(SS_CENTER); 
		break;
	case 2: //SS_RIGHT
		m_frmNormal.SetAlignment(SS_RIGHT);
		m_frmWin.SetAlignment(SS_RIGHT); 
		break;
	}
	
}

void CDemoDlg::OnDestroy() 
{
	CDialog::OnDestroy();
	
	// TODO: Add your message handler code here
	delete m_pEditBkBrush;

	
}
/*̬ı弰ɫʱʹ
 m_colorEditText = RGB(255,0,0);

 // redraw edit control
 ((CEdit *)GetDlgItem(IDC_EDIT1))->SetRedraw(TRUE);

 // invalidate the entire control, force painting
 ((CEdit *)GetDlgItem(IDC_EDIT1))->Invalidate();
 ((CEdit *)GetDlgItem(IDC_EDIT1))->UpdateWindow();


*/
HBRUSH CDemoDlg::OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor) 
{
	HBRUSH hbr = CDialog::OnCtlColor(pDC, pWnd, nCtlColor);
	
	// TODO: Change any attributes of the DC here

	if(nCtlColor==CTLCOLOR_EDIT &&  pWnd->GetDlgCtrlID()==IDC_EDIT3)//ע˴ģpWnd->ûЧ
		{
		pDC->SetTextColor(m_colorEditText);
		pDC->SetBkColor(m_colorEditBK);//ıɫ
		pDC->SetBkMode(TRANSPARENT);//ñ͸

		return (HBRUSH)(m_pEditBkBrush->GetSafeHandle());
		}


	
	// TODO: Return a different brush if the default is not desired
	return hbr;
}

void CDemoDlg::OnButton1() 
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);

	CString inputStr;

	if(!m_intputStr.IsEmpty())
	{
		inputStr=m_intputStr+"\r\n";
		m_edit.SetSel(-1);
		m_edit.ReplaceSel(inputStr);
	}
}
